ARK(1)

NIMI
ark - KDE arhiveerimistööriist

SüNOPSIS

ark [-b] [-a] [-e] [-c] [-f sufiks] [-p] [-t fail] [-d] [-o kataloog] [KDE üldised valikud] [Qt(TM) üldised valikud]

KIRJELDUS

Ark on rakendus paljudes vormingutes arhiivifailide haldamiseks KDE töökeskkonnas. Arhiive saab vaadata, lahti pakkida, luua ja muuta otse Arkis. Rakendus tuleb toime paljude vormingutega: tar, gzip, bzip2, zip, rar (nende jaoks peavad siiski olema paigaldatud vastavad käsureaprogrammid).

TööREžIIMID

Arki võib kasutada kas iseseisva graafilise kasutajaliidesega rakendusena või ka käsureaprogrammina teatavate konkreetsete ülesannete sooritamiseks.

Kui Ark käivitatakse ilma võtmeta -b (--batch) või -c (--add), käivitatakse see tavalise graafilise kasutajaliidesega rakendusena.

Võtme -b (--batch) korral võib Arki kasutada ühe või mitme faili sisu lahtipakkimiseks otse käsureal, ilma graafilist rakendust käivitamata.

Võtme -c (--add) korral palub Ark määrata failid, mis lisatakse uuele või olemasolevale arhiivile.

VõTMED

-d, --dialog
    Dialoogi avamine hulgi- või lisamistoimingu valikute määramiseks.

-o, --destination kataloog
    Lahtipakkimiskataloogiks määratakse kataloog. Kui seda ei anta, kasutatakse aktiivset asukohta.

  Failide lisamise valikud

-c, --add
    Küsitakse arhiivi nime ja lisatakse sellele määratud failid. Lõpetamisel väljutakse.

-t, --add-to failinimi
    Määratud failide lisamine failile failinimi. Arhiivi loomine, kui seda veel pole. Lõpetamisel väljutakse.

-p, --changetofirstpath
    Aktiivse kataloogi muutmine esimeseks kirjeks ja kõigi teiste kirjete lisamine suhtelisena selle suhtes.

-f, --autofilename sufiks
    Failinime automaatne valimine koos valitud sufiksiga (nt rar, tar.gz, zip või mõni muu toetatud tüüp).

  Hulgilahtipakkimise valikud

-b, --batch
    Tavalise dialoogi asemel hulgipakkimise liidese kasutamine. See võetakse tarvitusele, kui määratud on üle ühe URL-i.

-e, --autodestination
    Sihtkoha argumendiks määratakse esimese antud faili asukoht.

-a, --autosubfolder
    Arhiivide sisu loetakse ja kui leitakse, et see ei ole ühe kataloogi arhiiv, luuakse arhiivi nimega alamkataloog.

NäITED

ark --batch arhiiv.tar.bz2
    Pakib faili arhiiv.tar.bz2 lahti aktiivsesse kataloogi ilma graafilist rakendust avamata.

ark -b -d arhiiv.tar.bz2 arhiiv2.zip
    Näitab kõigepealt lahtipakkimisvalikuid ja seejärel pakib nii faili arhiiv.tar.bz2 kui ka faili arhiiv2.zip lahti dialoogis valitud kataloogi.

ark --add-to minu-arhiiv.zip foto1.jpg tekst.txt
    Loob faili minu-arhiiv.zip, kui seda veel pole, ning lisab sellesse failid foto1.jpg ja tekst.txt.

AUTORID

Arki hooldajad on praegu Harald Hvaal<haraldhv@stud.ntnu.no> ja Raphael Kubo da Costa<kubito@gmail.com>.

Käesoleva manuaalilehekülje kirjutas Lauri Watts<lauri@kde.org> 2005. aastal KDE 3.4 jaoks ning uuendas viimati 2009. aastal Raphael Kubo da Costa<kubito@gmail.com>.

AUTHORS

Lauri Watts
    Arki manuaalilehekülje algne versioon.

Raphael Kubo da Costa
    Arki manuaalilehekülje uuendamine.